
<!DOCTYPE HTML>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US" prefix="og: http://ogp.me/ns#">
  <head>
    <%= render '/head.*' %>
    <%= render '/canonical_urls.*' %>
  </head>
  <body itemscope itemtype="http://schema.org/WebPage" data-spy="scroll" data-target="#doc-nav" data-offset="90">
    <%= render '/gtm.*' %>
    <%= render '/header.*' %>
    <section class="gl-docs container-fluid">
      <div class="row">
        <div class="col-0 col-xl-2 pl-0">
          <div class="nav-wrapper active">
            <aside id="global-nav" class="global-nav">
            <!-- Render the global nav only if CI_PROJECT_NAME is gitlab-docs or is not set -->
            <% if gitlab_docs_or_local? %>
              <%= render '/global_nav.*' %>
            <% end %>
            </aside>
            <div id="js-nav-toggle"></div>
          </div>
        </div>
        <div class="main pl-xl-4 wrapper js-main-wrapper col-12 col-xl-7">
          <div class="row">
            <div class="col">
              <div id="js-version-banner" <%= 'data-is-outdated' if show_version_banner? %> data-latest-version-url='<%= @item.identifier.without_ext + '.html' %>' data-archives-url="/archives/"></div>
            </div>
          </div>
          <div class="row">
            <div class="col">
              <%= render '/banner.*' %>
            </div>
          </div>
          <div class="row">
            <div class="col">
              <div class="my-3 my-xl-0">
              <a class="position-absolute text-muted mt-2 pt-1 text-decoration-none border-bottom-0 mobile-nav-toggle" href="#"><i class="fa fa-bars fa-lg" aria-hidden="true"></i> | </a>
              </div>
            </div>
          </div>
          <div class="row d-xl-none">
            <div class="col">
              <div class="doc-nav"></div>
            </div>
          </div>
          <main>
            <div class="row">
              <div class="col">
                <div class="article-metadata">
                  <% if @item[:author] and @item[:author_gitlab] %>
                  Article written by <a href="https://gitlab.com/<%= @item[:author_gitlab] %>" target="_blank"><%= @item[:author] %></a>
                  &#8226;
                  <% end %>
                  <% if @item[:date] %>
                  on <%= @item[:date] %>
                  &#8226;
                  <% end %>
                  <% if @item[:article_type] %>
                  Type: <%= @item[:article_type] %>
                  <% end %>
                  <% if @item[:level] %>
                  Level: <%= @item[:level] %>
                  &#8226;
                  <% end %>
                  <% if @item[:last_updated] %>
                  Last updated: <%= @item[:last_updated] %>
                  &#8226;
                  <% end %>
                  <% if @item[:reading_time] %>
                  <%= reading_time(item.raw_content.split.size) %> to read
                  <% end %>
                </div>
                <div class="article-content js-article-content" role="main" itemscope itemprop="mainContentOfPage">
                  <%= yield %>
                </div>
              </div>
            </div>
          </main>
          <div class="row">
            <div class="col">
              <%= render '/feedback.*' %>
            </div>
          </div>
          <div class="row">
            <div class="col">
              <%= render '/footer.*' %>
            </div>
          </div>
        </div>
        <div class="col-3 py-3 d-none d-xl-flex">
          <div id="doc-nav" class="doc-nav w-100"></div>
        </div>
      </div>
    </section>
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.bundle.min.js" integrity="sha384-LtrjvnR4Twt/qOuYxE721u19sVFLVSA4hf/rRt6PrZTmiPltdZcI7q7PXQBYTKyf" crossorigin="anonymous"></script>
    <script src="<%= @items['/assets/javascripts/toggle_popover.*'].path %>"></script>
    <script src="https://cdn.jsdelivr.net/npm/clipboard@2/dist/clipboard.min.js"></script>
    <script type="application/javascript" src="<%= @items['/assets/javascripts/clipboardjs.*'].path %>"></script>
    <script type="application/javascript" src="<%= @items['/assets/javascripts/badges.*'].path %>"></script>
    <%= render '/docsearch.*' %>
    <script src="<%= @items['/assets/javascripts/mermaid.*'].path %>"></script>
    <% if production? %>
    <%# Add analytics only in production %>
      <%= render '/analytics.*' %>
    <% end %>
    <script src="<%= @items['/frontend/header/index.*'].path %>"></script>
    <script src="<%= @items['/assets/javascripts/docs.*'].path %>"></script>
    <script src="<%= @items['/assets/javascripts/global-nav.*'].path %>"></script>
    <script src="<%= @items['/assets/javascripts/tables.*'].path %>"></script>
    <script src="<%= @items['/frontend/default/default.*'].path %>" data-cookieconsent="ignore"></script>
  </body>
</html>

